<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_s"></a>- s -</h3><ul>
<li>scale()
: <a class="el" href="classCatch_1_1Detail_1_1Approx.html#a8f4d2def2920a3840d3271f6d9c5ede2">Catch::Detail::Approx</a>
, <a class="el" href="structCatch_1_1Matchers_1_1Vector_1_1ApproxMatcher.html#a6856447aebfb7c4fe6b792900fb68f45">Catch::Matchers::Vector::ApproxMatcher&lt; T, AllocComp, AllocMatch &gt;</a>
</li>
<li>ScopedMessage()
: <a class="el" href="classCatch_1_1ScopedMessage.html#a5cc59f0f2ebe840e6607f83004d49a17">Catch::ScopedMessage</a>
</li>
<li>Section()
: <a class="el" href="classCatch_1_1Section.html#a68fd4e51e8981aaa7ddb00d8a6abd099">Catch::Section</a>
</li>
<li>sectionEnded()
: <a class="el" href="structCatch_1_1IResultCapture.html#a4e152bc43dc0933684e31fa67a58195d">Catch::IResultCapture</a>
</li>
<li>sectionEndedEarly()
: <a class="el" href="structCatch_1_1IResultCapture.html#afcc71eef8ca821ae132cced4a2be6988">Catch::IResultCapture</a>
</li>
<li>SectionInfo()
: <a class="el" href="structCatch_1_1SectionInfo.html#a2808437ae7d4bc0830cee1c3995165a6">Catch::SectionInfo</a>
</li>
<li>sectionStarted()
: <a class="el" href="structCatch_1_1IResultCapture.html#a5b76ed52badcb64cf374202e12b81a03">Catch::IResultCapture</a>
</li>
<li>seed()
: <a class="el" href="classCatch_1_1SimplePcg32.html#a215dac93c384973353a2b4f87f68c8bc">Catch::SimplePcg32</a>
</li>
<li>send()
: <a class="el" href="classResponse.html#a5377d135031c0e0ff6c54074215a4679">Response</a>
</li>
<li>sendStatus()
: <a class="el" href="classResponse.html#a111938269e5dc94f7ce14aa563aef075">Response</a>
</li>
<li>setCompleted()
: <a class="el" href="classCatch_1_1AssertionHandler.html#a6756bd5395c0ddd28764a9fb4612d5e4">Catch::AssertionHandler</a>
</li>
<li>setConfig()
: <a class="el" href="structCatch_1_1IMutableContext.html#aa81ba080fce084e9482f20338bc88531">Catch::IMutableContext</a>
</li>
<li>setEpsilon()
: <a class="el" href="classCatch_1_1Detail_1_1Approx.html#a28fd65e069b698bc7ae8f060bfbcd6b6">Catch::Detail::Approx</a>
</li>
<li>setGameId()
: <a class="el" href="classGame.html#afaf67d9df43b01a47b0d577377edb8cf">Game</a>
</li>
<li>setGenerator()
: <a class="el" href="structCatch_1_1IGeneratorTracker.html#a9945eff42219edc5a7071eebd8b0419e">Catch::IGeneratorTracker</a>
</li>
<li>setMargin()
: <a class="el" href="classCatch_1_1Detail_1_1Approx.html#aff04b8b32edc707138eb395ed45ec576">Catch::Detail::Approx</a>
</li>
<li>setResultCapture()
: <a class="el" href="structCatch_1_1IMutableContext.html#a4a80afd0525b7def21bee8d9b48f2d39">Catch::IMutableContext</a>
</li>
<li>setRunner()
: <a class="el" href="structCatch_1_1IMutableContext.html#af2e53b1dea4527a2587cff266a730f6e">Catch::IMutableContext</a>
</li>
<li>Settings()
: <a class="el" href="classSettings.html#a2bd0d0e3e33db6d16425288185bd0f47">Settings</a>
</li>
<li>SettingsService()
: <a class="el" href="classSettingsService.html#aa1db9ed52368b894f160306c631ca50e">SettingsService</a>
</li>
<li>setUpEpoll()
: <a class="el" href="classMoxitServer.html#aed8d069006c7ec1f448f1825d76fd1dc">MoxitServer</a>
</li>
<li>shouldDebugBreak()
: <a class="el" href="structCatch_1_1IConfig.html#a5b886c5aad9001e90f63a7cf0726af63">Catch::IConfig</a>
</li>
<li>showDurations()
: <a class="el" href="structCatch_1_1IConfig.html#abaa97d281484278291f0d3db6d404aeb">Catch::IConfig</a>
</li>
<li>showInvisibles()
: <a class="el" href="structCatch_1_1IConfig.html#aa288bf92ccd0aafd85409d8aefdf738c">Catch::IConfig</a>
</li>
<li>shuffleDeck()
: <a class="el" href="classGame.html#a8eb0a092d23b426a8b4b03c4083b7afe">Game</a>
</li>
<li>SimplePcg32()
: <a class="el" href="classCatch_1_1SimplePcg32.html#a045c99a96f9b0faf384e22f871576282">Catch::SimplePcg32</a>
</li>
<li>SingleValueGenerator()
: <a class="el" href="classCatch_1_1Generators_1_1SingleValueGenerator.html#a532140dd2d1a673692271bb76a661ebe">Catch::Generators::SingleValueGenerator&lt; T &gt;</a>
</li>
<li>size()
: <a class="el" href="classCatch_1_1StringRef.html#acb22719801de2b64361b4c283080d4e5">Catch::StringRef</a>
</li>
<li>some()
: <a class="el" href="classCatch_1_1Option.html#a97c95829afbe92f2bcc5fd75b32c0825">Catch::Option&lt; T &gt;</a>
</li>
<li>SourceLineInfo()
: <a class="el" href="structCatch_1_1SourceLineInfo.html#a7c44c9986c33a9cf842b791374332d41">Catch::SourceLineInfo</a>
</li>
<li>split()
: <a class="el" href="classRequestHeader.html#a54ac81a72748cc7fd2c6628adc6924e7">RequestHeader</a>
</li>
<li>start()
: <a class="el" href="classCatch_1_1Timer.html#a0a56e879e43f36c102bf9ea8b5fc8b72">Catch::Timer</a>
</li>
<li>startGame()
: <a class="el" href="classGame.html#ae8638ccdb0ef3bf39a6affa30aa1258f">Game</a>
</li>
<li>startGameStateFetchLoop()
: <a class="el" href="classGameStateService.html#a555300141e7bdb82a810250102331ef0">GameStateService</a>
</li>
<li>startListen()
: <a class="el" href="classMoxitServer.html#a536eacacba0de2cec5c54fef1b6490cf">MoxitServer</a>
</li>
<li>startServer()
: <a class="el" href="classMoxitServer.html#ae113d589a464cf3322f208e27c991ed6">MoxitServer</a>
</li>
<li>StartsWithMatcher()
: <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StartsWithMatcher.html#a7b86f258bdbd131a6e7bcd94a8977325">Catch::Matchers::StdString::StartsWithMatcher</a>
</li>
<li>startWorkerThread()
: <a class="el" href="classMoxitServer.html#af62885cc6e61a4e339daccdd1b13c1d8">MoxitServer</a>
</li>
<li>statusCodeMessage()
: <a class="el" href="classResponse.html#ac8bbe6f91a98ed4325c0f6b4ce01a6b0">Response</a>
</li>
<li>str()
: <a class="el" href="classCatch_1_1ReusableStringStream.html#a0e9ecf260b2a5d35f4886ef0d51f6270">Catch::ReusableStringStream</a>
</li>
<li>stream()
: <a class="el" href="structCatch_1_1IConfig.html#aa4c3fe0825e7e6ebdcfa6abc7abf3617">Catch::IConfig</a>
, <a class="el" href="structCatch_1_1IStream.html#a55a9ddbe250261ff38642f480ebdd902">Catch::IStream</a>
</li>
<li>streamReconstructedExpression()
: <a class="el" href="classCatch_1_1BinaryExpr.html#af998022712d4bd3e4fc7ab9b8a38b445">Catch::BinaryExpr&lt; LhsT, RhsT &gt;</a>
, <a class="el" href="structCatch_1_1ITransientExpression.html#aabe1889df9c6e639a24afb08d8a0fe9e">Catch::ITransientExpression</a>
, <a class="el" href="classCatch_1_1MatchExpr.html#ad3e41adb597750b2219bb37e51185629">Catch::MatchExpr&lt; ArgT, MatcherT &gt;</a>
, <a class="el" href="classCatch_1_1UnaryExpr.html#aaabf30455a996c80675c0f388a6e4110">Catch::UnaryExpr&lt; LhsT &gt;</a>
</li>
<li>StringMatcherBase()
: <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1StringMatcherBase.html#a3a9b66bae298ae27058478529b4bb39d">Catch::Matchers::StdString::StringMatcherBase</a>
</li>
<li>StringRef()
: <a class="el" href="classCatch_1_1StringRef.html#aea45f5089c53adac362bff6bd7c40943">Catch::StringRef</a>
</li>
<li>substr()
: <a class="el" href="classCatch_1_1StringRef.html#a594bc3e10ffad77df92f7d1a4c99d7ff">Catch::StringRef</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
